# Serene Programming Language
#
# Copyright (c) 2019-2024 Sameer Rahmani <lxsameer@gnu.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
{ nixpkgs }:
{
  get_pkgs = system: overlays:
    if system == "x86_64-linux"
    then import nixpkgs {
      inherit system overlays;
      linker = "lld";
      crossSystem = nixpkgs.lib.systems.examples.musl64 // { useLLVM = true; };
      # config.replaceCrossStdenv = { buildPackages, baseStdenv }:
      #   buildPackages.stdenvAdapters.overrideCC baseStdenv buildPackages.llvmPackages_17.clangUseLLVM;
    }
    else import nixpkgs {
      inherit system overlays;
    };
}
